<?php

namespace App\Repository;

use App\Entity\Revolts;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @method Revolts|null find($id, $lockMode = null, $lockVersion = null)
 * @method Revolts|null findOneBy(array $criteria, array $orderBy = null)
 * @method Revolts[]    findAll()
 * @method Revolts[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class RevoltsRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, Revolts::class);
    }

    // /**
    //  * @return Revolts[] Returns an array of Revolts objects
    //  */
    /*
    public function findByExampleField($value)
    {
        return $this->createQueryBuilder('r')
            ->andWhere('r.exampleField = :val')
            ->setParameter('val', $value)
            ->orderBy('r.id', 'ASC')
            ->setMaxResults(10)
            ->getQuery()
            ->getResult()
        ;
    }
    */

    /*
    public function findOneBySomeField($value): ?Revolts
    {
        return $this->createQueryBuilder('r')
            ->andWhere('r.exampleField = :val')
            ->setParameter('val', $value)
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }
    */
}
